VMPipeAsynchChannelFactory (ActiveIO 1.0 API)
Keywords: org.activeio.net.VMPipeAsynchChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class VMPipeAsynchChannelFactory

    java.lang.Object
      org.activeio.net.VMPipeAsynchChannelFactory

All Implemented Interfaces:
  AsynchChannelFactory

public final class VMPipeAsynchChannelFactory
extends java.lang.Object
implements AsynchChannelFactory

Version:
  $Revision$

Nested Class Summary
`static class` | `VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter` Used to marshal calls to a PipeChannel in a different classloader.

Constructor Summary
`VMPipeAsynchChannelFactory()`

Method Summary
`AsynchChannelServer` | `bindAsynchChannel(java.net.URI bindURI)` Binds a server at the URI location.
`static void` | `bindServer(java.net.URI bindURI, VMPipeAsynchChannelServer server)`
`static java.lang.String` | `getServerKeyForURI(java.net.URI location)`
`boolean` | `isForceRefelection()`
`static java.lang.Object` | `lookupServer(java.net.URI location)`
`AsynchChannel` | `openAsynchChannel(java.net.URI location)` Opens a connection to server.
`void` | `setForceRefelection(boolean forceRefelection)`
`static void` | `unbindServer(java.net.URI bindURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMPipeAsynchChannelFactory

    public VMPipeAsynchChannelFactory()

Method Detail

### openAsynchChannel

    public AsynchChannel openAsynchChannel(java.net.URI location)
                                    throws java.io.IOException

  Description copied from interface: `AsynchChannelFactory`
  Opens a connection to server.

  Specified by:
    `openAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### bindAsynchChannel

    public AsynchChannelServer bindAsynchChannel(java.net.URI bindURI)
                                          throws java.io.IOException

  Description copied from interface: `AsynchChannelFactory`
  Binds a server at the URI location.

  Specified by:
    `bindAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `bindURI` -
  Returns:
  Throws:
    `java.io.IOException`

### getServerKeyForURI

    public static java.lang.String getServerKeyForURI(java.net.URI location)

### bindServer

    public static void bindServer(java.net.URI bindURI,
                                  VMPipeAsynchChannelServer server)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### lookupServer

    public static java.lang.Object lookupServer(java.net.URI location)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### unbindServer

    public static void unbindServer(java.net.URI bindURI)

### isForceRefelection

    public boolean isForceRefelection()

### setForceRefelection

    public void setForceRefelection(boolean forceRefelection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.